package com.sunxung.factoring.entity.refundsManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 退款管理-收放款计划和退款管理关联关系表
 * </p>
 *
 * @author yafan
 * @since 2024-03-04
 */
@TableName("refund_management_pay_coll_plan_factoring_ref")
public class RefundManagementPayCollPlanFactoringRef implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 退款管理表Id
     */
    @TableField("refund_management_id")
    private Long refundManagementId;

    /**
     * 收放款计划(保理融资款)表id(选中)
     */
    @TableField("pay_coll_plan_factoring_id")
    private Long payCollPlanFactoringId;

    /**
     * 状态 0 提交 1 审核通过 2 退回
     */
    @TableField("status")
    private Integer status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getRefundManagementId() {
        return refundManagementId;
    }

    public void setRefundManagementId(Long refundManagementId) {
        this.refundManagementId = refundManagementId;
    }
    public Long getPayCollPlanFactoringId() {
        return payCollPlanFactoringId;
    }

    public void setPayCollPlanFactoringId(Long payCollPlanFactoringId) {
        this.payCollPlanFactoringId = payCollPlanFactoringId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "RefundManagementPayCollPlanFactoringRef{" +
            "id=" + id +
            ", refundManagementId=" + refundManagementId +
            ", payCollPlanFactoringId=" + payCollPlanFactoringId +
        "}";
    }
}
